////////Sky
textures/g0th_stranded/stranded_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_skylight 200 3
	q3map_sun	0.61215 0.78417 1 100 18 100


	q3map_lightimage textures/lightimage/g0th_02.tga
	qer_editorimage textures/skies/bluetopclouds.tga
	skyparms - 512 -

	{
		map textures/g0th_stranded/bluedimclouds2.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}
////////Lights
textures/g0th_stranded/whitelight
{
	qer_editorimage textures/g0th_stranded/whitelight.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/g0th_stranded/whitelight.tga
		blendFunc add
		rgbGen identity
	}
}
textures/g0th_stranded/sci_trim_01_light
{
	qer_editorimage textures/g0th_stranded/sci_trim.tga
	q3map_lightimage textures/g0th_stranded/sci_trim_01_add.tga
	q3map_surfacelight 90
	{
		map $lightmap
		rgbGen identity
	}	
	{
		map textures/g0th_stranded/sci_trim_01.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/g0th_stranded/sci_trim_01_add.tga
		blendfunc add
	}
}
textures/g0th_stranded/sci_trim_01_light_white
{
	qer_editorimage textures/g0th_stranded/sci_trim_01.tga
	q3map_lightimage textures/g0th_stranded/sci_trim_01_white_add.tga
	q3map_surfacelight 150
	{
		map $lightmap
		rgbGen identity
	}	
	{
		map textures/g0th_stranded/sci_trim_01.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/g0th_stranded/sci_trim_01_white_add.tga
		blendfunc add
	}
}
textures/g0th_stranded/yellowlight_lined
{
	q3map_lightimage textures/g0th_stranded/yellowlight_lined_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/g0th_stranded/yellowlight_lined.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/g0th_stranded/yellowlight_lined.tga
		blendfunc add
	}
}
textures/g0th_stranded/redlight_lined
{
	q3map_lightimage textures/g0th_stranded/redlight_lined_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/g0th_stranded/redlight_lined.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/g0th_stranded/redlight_lined.tga
		blendfunc add
	}
}
textures/g0th_stranded/redlight_lined_blink
{
	qer_editorimage textures/g0th_stranded/redlight_lined.tga
	q3map_lightimage textures/g0th_stranded/redlight_lined_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/g0th_stranded/redlight_lined.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/g0th_stranded/redlight_lined.tga
		blendfunc add
		rgbGen wave sin 0 0.7 0 0.5 
	}
}
////////Misc
textures/g0th_stranded/glass
{
	qer_editorimage textures/g0th_stranded/glass.tga
	cull disable
	qer_trans 0.5
	{
		map textures/g0th_stranded/shiney_add_glass.tga
		blendfunc add
		rgbGen identity
		tcMod scale 0.3 0.3
		tcGen environment 
	}
	{
		map textures/g0th_stranded/glass.tga
		blendfunc gl_src_alpha gl_one
		rgbGen identityLighting
		 
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}
textures/g0th_stranded/fence
{
	qer_editorimage textures/g0th_stranded/fence.tga	
	surfaceparm trans		
	surfaceparm alphashadow
	cull none
        nopicmip
   	{
		map textures/g0th_stranded/fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/g0th_stranded/beam_yellow
{
        qer_editorimage textures/g0th_stranded/beamyellow.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		map textures/g0th_stranded/beamyellow.tga
                tcMod Scroll .3 0
                blendFunc add
        }
     
}
textures/g0th_stranded/beam_blue_bright
{
        qer_editorimage textures/g0th_stranded/beamblueb.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		map textures/g0th_stranded/beamblueb.tga
                tcMod Scroll .3 0
                blendFunc add
        }
     
}